# swagger_aem

SwaggerAemClient - the Ruby gem for the Adobe Experience Manager (AEM) API

Swagger AEM is an OpenAPI specification for Adobe Experience Manager (AEM) API

This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 3.4.0
- Package version: 3.4.0
- Build package: org.openapitools.codegen.languages.RubyClientCodegen
For more information, please visit [http://shinesolutions.com](http://shinesolutions.com)

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build swagger_aem.gemspec
```

Then either install the gem locally:

```shell
gem install ./swagger_aem-3.4.0.gem
```

(for development, run `gem install --dev ./swagger_aem-3.4.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'swagger_aem', '~> 3.4.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'swagger_aem', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:

```ruby
# Load the gem
require 'swagger_aem'

# Setup authorization
SwaggerAemClient.configure do |config|
  # Configure HTTP basic authorization: aemAuth
  config.username = 'YOUR_USERNAME'
  config.password = 'YOUR_PASSWORD'
end

api_instance = SwaggerAemClient::ConsoleApi.new

begin
  result = api_instance.get_aem_product_info
  p result
rescue SwaggerAemClient::ApiError => e
  puts "Exception when calling ConsoleApi->get_aem_product_info: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*SwaggerAemClient::ConsoleApi* | [**get_aem_product_info**](docs/ConsoleApi.md#get_aem_product_info) | **GET** /system/console/status-productinfo.json | 
*SwaggerAemClient::ConsoleApi* | [**get_config_mgr**](docs/ConsoleApi.md#get_config_mgr) | **GET** /system/console/configMgr | 
*SwaggerAemClient::ConsoleApi* | [**post_bundle**](docs/ConsoleApi.md#post_bundle) | **POST** /system/console/bundles/{name} | 
*SwaggerAemClient::ConsoleApi* | [**post_jmx_repository**](docs/ConsoleApi.md#post_jmx_repository) | **POST** /system/console/jmx/com.adobe.granite:type&#x3D;Repository/op/{action} | 
*SwaggerAemClient::ConsoleApi* | [**post_saml_configuration**](docs/ConsoleApi.md#post_saml_configuration) | **POST** /system/console/configMgr/com.adobe.granite.auth.saml.SamlAuthenticationHandler | 
*SwaggerAemClient::CqApi* | [**get_login_page**](docs/CqApi.md#get_login_page) | **GET** /libs/granite/core/content/login.html | 
*SwaggerAemClient::CqApi* | [**post_cq_actions**](docs/CqApi.md#post_cq_actions) | **POST** /.cqactions.html | 
*SwaggerAemClient::CrxApi* | [**get_crxde_status**](docs/CrxApi.md#get_crxde_status) | **GET** /crx/server/crx.default/jcr:root/.1.json | 
*SwaggerAemClient::CrxApi* | [**get_install_status**](docs/CrxApi.md#get_install_status) | **GET** /crx/packmgr/installstatus.jsp | 
*SwaggerAemClient::CrxApi* | [**get_package_manager_servlet**](docs/CrxApi.md#get_package_manager_servlet) | **GET** /crx/packmgr/service/script.html | 
*SwaggerAemClient::CrxApi* | [**post_package_service**](docs/CrxApi.md#post_package_service) | **POST** /crx/packmgr/service.jsp | 
*SwaggerAemClient::CrxApi* | [**post_package_service_json**](docs/CrxApi.md#post_package_service_json) | **POST** /crx/packmgr/service/.json/{path} | 
*SwaggerAemClient::CrxApi* | [**post_package_update**](docs/CrxApi.md#post_package_update) | **POST** /crx/packmgr/update.jsp | 
*SwaggerAemClient::CrxApi* | [**post_set_password**](docs/CrxApi.md#post_set_password) | **POST** /crx/explorer/ui/setpassword.jsp | 
*SwaggerAemClient::CustomApi* | [**get_aem_health_check**](docs/CustomApi.md#get_aem_health_check) | **GET** /system/health | 
*SwaggerAemClient::CustomApi* | [**post_config_aem_health_check_servlet**](docs/CustomApi.md#post_config_aem_health_check_servlet) | **POST** /apps/system/config/com.shinesolutions.healthcheck.hc.impl.ActiveBundleHealthCheck | 
*SwaggerAemClient::CustomApi* | [**post_config_aem_password_reset**](docs/CustomApi.md#post_config_aem_password_reset) | **POST** /apps/system/config/com.shinesolutions.aem.passwordreset.Activator | 
*SwaggerAemClient::GraniteApi* | [**ssl_setup**](docs/GraniteApi.md#ssl_setup) | **POST** /libs/granite/security/post/sslSetup.html | 
*SwaggerAemClient::SlingApi* | [**delete_agent**](docs/SlingApi.md#delete_agent) | **DELETE** /etc/replication/agents.{runmode}/{name} | 
*SwaggerAemClient::SlingApi* | [**delete_node**](docs/SlingApi.md#delete_node) | **DELETE** /{path}/{name} | 
*SwaggerAemClient::SlingApi* | [**get_agent**](docs/SlingApi.md#get_agent) | **GET** /etc/replication/agents.{runmode}/{name} | 
*SwaggerAemClient::SlingApi* | [**get_agents**](docs/SlingApi.md#get_agents) | **GET** /etc/replication/agents.{runmode}.-1.json | 
*SwaggerAemClient::SlingApi* | [**get_authorizable_keystore**](docs/SlingApi.md#get_authorizable_keystore) | **GET** /{intermediatePath}/{authorizableId}.ks.json | 
*SwaggerAemClient::SlingApi* | [**get_keystore**](docs/SlingApi.md#get_keystore) | **GET** /{intermediatePath}/{authorizableId}/keystore/store.p12 | 
*SwaggerAemClient::SlingApi* | [**get_node**](docs/SlingApi.md#get_node) | **GET** /{path}/{name} | 
*SwaggerAemClient::SlingApi* | [**get_package**](docs/SlingApi.md#get_package) | **GET** /etc/packages/{group}/{name}-{version}.zip | 
*SwaggerAemClient::SlingApi* | [**get_package_filter**](docs/SlingApi.md#get_package_filter) | **GET** /etc/packages/{group}/{name}-{version}.zip/jcr:content/vlt:definition/filter.tidy.2.json | 
*SwaggerAemClient::SlingApi* | [**get_query**](docs/SlingApi.md#get_query) | **GET** /bin/querybuilder.json | 
*SwaggerAemClient::SlingApi* | [**get_truststore**](docs/SlingApi.md#get_truststore) | **GET** /etc/truststore/truststore.p12 | 
*SwaggerAemClient::SlingApi* | [**get_truststore_info**](docs/SlingApi.md#get_truststore_info) | **GET** /libs/granite/security/truststore.json | 
*SwaggerAemClient::SlingApi* | [**post_agent**](docs/SlingApi.md#post_agent) | **POST** /etc/replication/agents.{runmode}/{name} | 
*SwaggerAemClient::SlingApi* | [**post_authorizable_keystore**](docs/SlingApi.md#post_authorizable_keystore) | **POST** /{intermediatePath}/{authorizableId}.ks.html | 
*SwaggerAemClient::SlingApi* | [**post_authorizables**](docs/SlingApi.md#post_authorizables) | **POST** /libs/granite/security/post/authorizables | 
*SwaggerAemClient::SlingApi* | [**post_config_adobe_granite_saml_authentication_handler**](docs/SlingApi.md#post_config_adobe_granite_saml_authentication_handler) | **POST** /apps/system/config/com.adobe.granite.auth.saml.SamlAuthenticationHandler.config | 
*SwaggerAemClient::SlingApi* | [**post_config_apache_felix_jetty_based_http_service**](docs/SlingApi.md#post_config_apache_felix_jetty_based_http_service) | **POST** /apps/system/config/org.apache.felix.http | 
*SwaggerAemClient::SlingApi* | [**post_config_apache_http_components_proxy_configuration**](docs/SlingApi.md#post_config_apache_http_components_proxy_configuration) | **POST** /apps/system/config/org.apache.http.proxyconfigurator.config | 
*SwaggerAemClient::SlingApi* | [**post_config_apache_sling_dav_ex_servlet**](docs/SlingApi.md#post_config_apache_sling_dav_ex_servlet) | **POST** /apps/system/config/org.apache.sling.jcr.davex.impl.servlets.SlingDavExServlet | 
*SwaggerAemClient::SlingApi* | [**post_config_apache_sling_get_servlet**](docs/SlingApi.md#post_config_apache_sling_get_servlet) | **POST** /apps/system/config/org.apache.sling.servlets.get.DefaultGetServlet | 
*SwaggerAemClient::SlingApi* | [**post_config_apache_sling_referrer_filter**](docs/SlingApi.md#post_config_apache_sling_referrer_filter) | **POST** /apps/system/config/org.apache.sling.security.impl.ReferrerFilter | 
*SwaggerAemClient::SlingApi* | [**post_config_property**](docs/SlingApi.md#post_config_property) | **POST** /apps/system/config/{configNodeName} | 
*SwaggerAemClient::SlingApi* | [**post_node**](docs/SlingApi.md#post_node) | **POST** /{path}/{name} | 
*SwaggerAemClient::SlingApi* | [**post_node_rw**](docs/SlingApi.md#post_node_rw) | **POST** /{path}/{name}.rw.html | 
*SwaggerAemClient::SlingApi* | [**post_path**](docs/SlingApi.md#post_path) | **POST** /{path}/ | 
*SwaggerAemClient::SlingApi* | [**post_query**](docs/SlingApi.md#post_query) | **POST** /bin/querybuilder.json | 
*SwaggerAemClient::SlingApi* | [**post_tree_activation**](docs/SlingApi.md#post_tree_activation) | **POST** /etc/replication/treeactivation.html | 
*SwaggerAemClient::SlingApi* | [**post_truststore**](docs/SlingApi.md#post_truststore) | **POST** /libs/granite/security/post/truststore | 
*SwaggerAemClient::SlingApi* | [**post_truststore_pkcs12**](docs/SlingApi.md#post_truststore_pkcs12) | **POST** /etc/truststore | 


## Documentation for Models

 - [SwaggerAemClient::InlineObject](docs/InlineObject.md)
 - [SwaggerAemClient::InlineObject1](docs/InlineObject1.md)
 - [SwaggerAemClient::InlineObject2](docs/InlineObject2.md)
 - [SwaggerAemClient::InlineObject3](docs/InlineObject3.md)
 - [SwaggerAemClient::InlineObject4](docs/InlineObject4.md)
 - [SwaggerAemClient::InlineObject5](docs/InlineObject5.md)
 - [SwaggerAemClient::InstallStatus](docs/InstallStatus.md)
 - [SwaggerAemClient::InstallStatusStatus](docs/InstallStatusStatus.md)
 - [SwaggerAemClient::KeystoreChainItems](docs/KeystoreChainItems.md)
 - [SwaggerAemClient::KeystoreInfo](docs/KeystoreInfo.md)
 - [SwaggerAemClient::KeystoreItems](docs/KeystoreItems.md)
 - [SwaggerAemClient::SamlConfigurationInfo](docs/SamlConfigurationInfo.md)
 - [SwaggerAemClient::SamlConfigurationProperties](docs/SamlConfigurationProperties.md)
 - [SwaggerAemClient::SamlConfigurationPropertyItemsArray](docs/SamlConfigurationPropertyItemsArray.md)
 - [SwaggerAemClient::SamlConfigurationPropertyItemsBoolean](docs/SamlConfigurationPropertyItemsBoolean.md)
 - [SwaggerAemClient::SamlConfigurationPropertyItemsLong](docs/SamlConfigurationPropertyItemsLong.md)
 - [SwaggerAemClient::SamlConfigurationPropertyItemsString](docs/SamlConfigurationPropertyItemsString.md)
 - [SwaggerAemClient::TruststoreInfo](docs/TruststoreInfo.md)
 - [SwaggerAemClient::TruststoreItems](docs/TruststoreItems.md)


## Documentation for Authorization


### aemAuth

- **Type**: HTTP basic authentication

